/*
 * This file is part of the TuxNES project codebase.
 *
 * Please see the README and COPYING files for more information regarding
 * this project.
 *
 * $Id: defines.h,v 1.5 2004/07/28 21:15:42 cheako Exp $
 *
 * Description: Global defines.
 */

#ifndef _DEFINES_H_
#define _DEFINES_H_

#define REG1 emulator->RAM+0x2000 /* ioregs mapped to 2000 in 6502 memory */
#define REG2 emulator->RAM+0x4000 /* ioregs mapped to 4000 in 6502 memory */

/* Not needed by C emulator. */
#define ZPMEM emulator->RAM
#define STACK ZPMEM+0x100     /* Stack at 0100 */
#define NVRAM emulator->RAM+0x6000      /* Battery RAM (mapped to 6000 in 6502 address space) */ 

#endif /* _DEFINES_H_ */
