/*
 * This file is part of the TuxNES project codebase.
 *
 * Please see the README and COPYING files for more information regarding
 * this project.
 *
 * Description: This file handles joystick input.
 */

#ifndef _JS_H
#define _JS_H

#ifdef HAVE_FEATURES_H
#include <features.h>
#endif				/* HAVE_FEATRES_H */

#ifdef HAVE_LINUX_JOYSTICK_H
#include <linux/joystick.h>
#endif /* HAVE_LINUX_JOYSTICK_H */

void InitJoystickLinux(int stick);
void HandleJoystickLinux(int stick);

#endif /* _JS_H */
